@echo off
setlocal
if not exist support cd..


::---------------------Modify the below as needed-----------------------
::---special
::filter\split special characters (ie.  and  in this example) into 2 files
::note  = f0 and  = f1
support\sfk filter -spat support\ModMii_translateMe.txt -+"spat " -+\xf0 -+\xf1 >support\ModMii_special.txt
support\sfk filter -spat support\ModMii_translateMe.txt -!"spat " -!\xf0 -!\xf1 >support\ModMii_standard.txt

::edit replace  with \xf0 and  with \xf1
::add this to the following command to add\remove chars, just replace f1 with new code "-rep _\xf1_\x5cxf1_"
support\sfk filter -quiet -spat support\ModMii_special.txt -rep _\xf0_\x5cxf0_ -rep _\xf1_\x5cxf1_ -write -yes

::---------------------Modify the above as needed-----------------------

::attempt to fix spacing
support\sfk filter -quiet support\ModMii_special.txt -rep _"  "_" \x20"_ -write -yes

::Edit replace all "echo" with "sfk echo -spat" for special file
support\sfk filter -quiet support\ModMii_special.txt -rep _"support\sfk echo -spat "_"echo "_ -rep _"support\sfk echo "_"echo "_ -rep _"echo "_"support\sfk echo -spat "_ -write -yes

copy /y support\ModMii_special.txt support\ModMii_special_modded.txt>nul

::fix the following: % > < * " - _ @ & ~ # ? $ (first hardcode legit \x as \x5cx from above adjustments)
support\sfk filter -quiet -spat support\ModMii_special.txt -rep _\x5cx_\x5cx5cx_ -rep _\x3c_\x5cx3c_ -rep _\x3e_\x5cx3e_ -rep _\x25_\x5cx25_ -rep _\x2a_\x5cx2a_ -rep _\x22_\x5cx22_ -rep _\x2d_\x5cx2d_ -rep _\x5f_\x5cx5f_ -rep _\x40_\x5cx40_ -rep _\x26_\x5cx26_ -rep _\x7e_\x5cx7e_ -rep _\x23_\x5cx23_ -rep _\x3f_\x5cx3f_ -rep _\x24_\x5cx24_ -write -yes

echo.
echo Fixing lines with Special Characters
echo.

::Loop through the following once for EACH line in *.txt
for /F "tokens=*" %%A in (support\ModMii_special.txt) do call :process %%A
goto:quickskip
:process

::get line number
set currentline=%*
echo %currentline%>support\getlinenumber.txt
support\sfk filter -quiet support\getlinenumber.txt -rep _:*__ -write -yes
set /p linenum= <support\getlinenumber.txt

echo Working on line: %linenum%
set ERRORLEVEL=
::replace line in ModMii_Translation_Numbered.txt
support\sfk filter -spat support\ModMii_Translation_Numbered.txt -lsrep _"%linenum%:"*_"%currentline%"_ -write -yes>nul

goto:EOF

:quickskip




::---standard
::filter\split special characters (ie.  and  in this example) into 2 files
::note  = f0 and  = f1
::support\sfk filter -spat support\ModMii_translateMe.txt -+"spat " -+\xf0 -+\xf1 >support\ModMii_special.txt
::support\sfk filter -spat support\ModMii_translateMe.txt -!"spat " -!\xf0 -!\xf1 >support\ModMii_standard.txt

copy /y support\ModMii_standard.txt support\ModMii_standard_modded.txt>nul

::fix the following: % > < * " - _ @ & ~ # ? $
support\sfk filter -quiet -spat support\ModMii_standard.txt -rep _\x3c_\x5cx3c_ -rep _\x3e_\x5cx3e_ -rep _\x25_\x5cx25_ -rep _\x2a_\x5cx2a_ -rep _\x22_\x5cx22_ -rep _\x2d_\x5cx2d_ -rep _\x5f_\x5cx5f_ -rep _\x40_\x5cx40_ -rep _\x26_\x5cx26_ -rep _\x7e_\x5cx7e_ -rep _\x23_\x5cx23_ -rep _\x3f_\x5cx3f_ -rep _\x24_\x5cx24_ -write -yes

echo.
echo Fixing lines without Special Characters
echo.

::Loop through the following once for EACH line in *.txt
for /F "tokens=*" %%A in (support\ModMii_standard.txt) do call :process %%A
goto:quickskip
:process

::get line number
set currentline=%*
echo %currentline%>support\getlinenumber.txt
support\sfk filter -quiet support\getlinenumber.txt -rep _:*__ -write -yes
set /p linenum= <support\getlinenumber.txt

echo Working on line: %linenum%

::replace line in ModMii_Translation_Numbered.txt
support\sfk filter -spat support\ModMii_Translation_Numbered.txt -lsrep _"%linenum%:"*_"%currentline%"_ -write -yes>nul

goto:EOF

:quickskip

del support\getlinenumber.txt>nul
del support\ModMii_special.txt>nul
del support\ModMii_standard.txt>nul

pause

